# Get usage series v2 - Checkly Docs

> Get paginated consumption across usage terms. Group by account, usage term, pricing rule and check type.

Source: https://www.checklyhq.com/docs/api-reference/usage/get-paginated-consumption-across-usage-terms-group-by-account-usage-term-pricing-rule-and-check-type/

---

Get usage series

```
curl --request GET \
--url https://api.checklyhq.com/v2/usage/series \
--header 'Authorization: Bearer '
```

```
import requests

url = "https://api.checklyhq.com/v2/usage/series"

headers = {"Authorization": "Bearer "}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer '}};

fetch('https://api.checklyhq.com/v2/usage/series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.checklyhq.com/v2/usage/series",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.checklyhq.com/v2/usage/series"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer ")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.get("https://api.checklyhq.com/v2/usage/series")
.header("Authorization", "Bearer ")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.checklyhq.com/v2/usage/series")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer '

response = http.request(request)
puts response.read_body
```

```
{
"period": {
"from": "2023-12-25",
"to": "2023-12-25"
},
"usageTermsIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"interval": "total",
"groupBy": [
"account"
],
"data": [
{
"periodStart": "2023-12-25",
"periodEnd": "2023-12-25",
"dimensions": {
"accountId": " ",
"usageTermsId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pricingRuleKey": "apiChecks",
"checkType": "AGENTIC"
},
"creditsUsed": 1,
"contributions": [
{
"usageTermsId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pricingRuleKey": "apiChecks",
"creditsUsed": 1,
"period": {
"from": "2023-12-25",
"to": "2023-12-25"
},
"pricingRule": {
"method": "per_unit",
"quantity": 1,
"unit": " ",
"credits": 1,
"rates": [
{
"when": " ",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": " "
}
},
"calculations": [
{
"rateCondition": " ",
"measuredQuantity": 1,
"includedQuantity": 1,
"billableQuantity": 1,
"creditsUsed": 1
}
]
}
],
"monitorDays": 1,
"runs": {
"totalRuns": 1,
"finalRuns": 1,
"retryRuns": 1,
"cancelledRuns": 1,
"degradedRuns": 1,
"failedRuns": 1,
"errorRuns": 1,
"abortedRuns": 1,
"overMaxResponseTimeRuns": 1
}
}
],
"coverage": {
"gaps": [
{
"from": "2023-12-25",
"to": "2023-12-25"
}
]
},
"nextId": " "
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

Usage

# Get usage series v2

Get paginated consumption across usage terms. Group by account, usage term, pricing rule and check type.

GET

/

v2

/

usage

/

series

Get usage series

```
curl --request GET \
--url https://api.checklyhq.com/v2/usage/series \
--header 'Authorization: Bearer '
```

```
import requests

url = "https://api.checklyhq.com/v2/usage/series"

headers = {"Authorization": "Bearer "}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer '}};

fetch('https://api.checklyhq.com/v2/usage/series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.checklyhq.com/v2/usage/series",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.checklyhq.com/v2/usage/series"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer ")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.get("https://api.checklyhq.com/v2/usage/series")
.header("Authorization", "Bearer ")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.checklyhq.com/v2/usage/series")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer '

response = http.request(request)
puts response.read_body
```

```
{
"period": {
"from": "2023-12-25",
"to": "2023-12-25"
},
"usageTermsIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"interval": "total",
"groupBy": [
"account"
],
"data": [
{
"periodStart": "2023-12-25",
"periodEnd": "2023-12-25",
"dimensions": {
"accountId": " ",
"usageTermsId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pricingRuleKey": "apiChecks",
"checkType": "AGENTIC"
},
"creditsUsed": 1,
"contributions": [
{
"usageTermsId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pricingRuleKey": "apiChecks",
"creditsUsed": 1,
"period": {
"from": "2023-12-25",
"to": "2023-12-25"
},
"pricingRule": {
"method": "per_unit",
"quantity": 1,
"unit": " ",
"credits": 1,
"rates": [
{
"when": " ",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": " "
}
},
"calculations": [
{
"rateCondition": " ",
"measuredQuantity": 1,
"includedQuantity": 1,
"billableQuantity": 1,
"creditsUsed": 1
}
]
}
],
"monitorDays": 1,
"runs": {
"totalRuns": 1,
"finalRuns": 1,
"retryRuns": 1,
"cancelledRuns": 1,
"degradedRuns": 1,
"failedRuns": 1,
"errorRuns": 1,
"abortedRuns": 1,
"overMaxResponseTimeRuns": 1
}
}
],
"coverage": {
"gaps": [
{
"from": "2023-12-25",
"to": "2023-12-25"
}
]
},
"nextId": " "
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

#### Authorizations

Authorization

string

header

required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key [here](https://app.checklyhq.com/settings/user/api-keys).
Your API key is like a password:
keep it secure!

Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.

For example, set Authorization header while using cURL: `curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"`

#### Headers

x-checkly-account

string<uuid>

Your Checkly account ID, you can find it at [https://app.checklyhq.com/settings/account/general](https://app.checklyhq.com/settings/account/general)

#### Query Parameters

from

string<date>

Inclusive UTC date. Defaults to the earliest selected usage start, or to.

to

string<date>

Inclusive UTC date. Defaults to today.

usageTermsIds

string<uuid>[]

Required array length: `1 - 100` elements

accountIds

string[]

Required array length: `1 - 100` elements

pricingRuleKeys

enum<string>[]

Required array length: `1 - 100` elements

Available options: `apiChecks`,

`multistepChecks`,

`browserChecks`,

`playwrightCheckSuites`,

`uptimeMonitors`,

`aiInvocations`,

`statusPages`,

`statusPageAdditionalServices`,

`statusPageAdditionalSubscribers`,

`additionalSms`,

`additionalPhoneAlerts`

limit

integer

default: 100

Required range: `1 nextId

string

Query-bound cursor. Live reads do not freeze measurements or prices.

Required string length: `1 - 4096`

interval

enum<string>

default: day

Monday weeks and calendar months; boundary buckets are clipped.

Available options: `total`,

`day`,

`week`,

`month`

groupBy

enum<string>[]

Required array length: `1 - 100` elements

Available options: `account`,

`usageTerm`,

`pricingRule`,

`checkType`

include

enum<string>[]

Required array length: `1 - 100` elements

Available options: `calculations`,

`runs`,

`monitorDays`

#### Response

Successful

period

object

required

Show child attributes

usageTermsIds

string<uuid>[]

required

interval

enum<string>

required

Available options: `total`,

`day`,

`week`,

`month`

groupBy

enum<string>[]

required

Available options: `account`,

`usageTerm`,

`pricingRule`,

`checkType`

data

object[]

required

Show child attributes

coverage

object

required

Dates outside organization usage terms. Credits for gaps are unknown; deliberately filtered terms are excluded.

Show child attributes

nextId

string | null

required

Was this page helpful?

[Suggest edits](https://github.com/checkly/docs/edit/main/api-reference/usage/get-paginated-consumption-across-usage-terms-group-by-account-usage-term-pricing-rule-and-check-type.mdx)[Raise issue](https://github.com/checkly/docs/issues/new?title=Issue%20on%20docs&body=Path:%20/api-reference/usage/get-paginated-consumption-across-usage-terms-group-by-account-usage-term-pricing-rule-and-check-type)

[Get usage terms v2 Previous](https://www.checklyhq.com/docs/api-reference/usage/get-usage-terms-and-accounts-for-the-current-organization)[Get usage summary v2 Next](https://www.checklyhq.com/docs/api-reference/usage/get-consumption-across-usage-terms-with-a-calculation-breakdown-for-each-pricing-rule)

[x](https://x.com/checklyhq)[github](https://github.com/checkly)[linkedin](https://linkedin.com/company/checkly)

[Powered by This documentation is built and hosted on Mintlify, a developer documentation platform](https://www.mintlify.com/?utm_campaign=poweredBy&utm_medium=referral&utm_source=checkly-422f444a)
